"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _styledIs = _interopRequireDefault(require("styled-is"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const Panel = _styledComponents.default.section`
  background-color: ${props => props.theme.background};
  color: ${props => props.theme.foreground};

  height: ${props => props.height || "auto"};
  width: ${props => props.width || "auto"};

  ${(0, _styledIs.default)("espaced")`
    margin: 0.5rem 1rem;
  `};

  ${(0, _styledIs.default)("rounded")`
    border-radius: 3px;
  `};

  ${(0, _styledIs.default)("border")`
    border-width: ${props => props.border};
    border-style: solid;
    border-color: ${props => props.theme.border};
  `};
`;
var _default = Panel;
exports.default = _default;