"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Control = exports.default = void 0;

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _styledIs = _interopRequireDefault(require("styled-is"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const Controls = _styledComponents.default.section`
  display: flex;

  margin: 0 0.5rem;
`;
const Control = _styledComponents.default.button`
  content: "";
  outline: none;

  margin: 0 0.5rem 0 0;

  width: 14px;
  height: 14px;
  transform: scale(0.9);

  border-width: 0;
  border-radius: 14px;
  background-color: red;

  -webkit-app-region: no-drag;

  ${(0, _styledIs.default)("close")`
    background-color: #d54343;
  `};

  ${(0, _styledIs.default)("minimize")`
    background-color: #fabc40;
  `};

  ${(0, _styledIs.default)("maximize")`
    background-color: #3ac748;
  `};
`;
exports.Control = Control;
var _default = Controls;
exports.default = _default;