"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.LabelSub = exports.LabelSup = exports.LabelDescription = exports.default = void 0;

var _styledComponents = _interopRequireDefault(require("styled-components"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const Label = _styledComponents.default.label`
  display: flex;
  flex-wrap: wrap;
  flex-direction: row;

  cursor: pointer;
  user-select: none;

  margin: 0.5rem;
`;
const LabelDescription = _styledComponents.default.div`
  display: flex;
  flex-direction: column;
  flex: 0 0 calc(100% - 50px);

  justify-content: center;
`;
exports.LabelDescription = LabelDescription;
const LabelSup = _styledComponents.default.div`
  font-weight: 500;
  font-size: 1rem;

  margin: 5px 0;
`;
exports.LabelSup = LabelSup;
const LabelSub = _styledComponents.default.div`
  font-weight: normal;
  font-size: 0.85rem;

  margin: 0 0 2px;
  opacity: 0.85;
`;
exports.LabelSub = LabelSub;
var _default = Label;
exports.default = _default;